# Dejvino's ErgoDone Keyboard Firmware

## Setup
1. Clone this repo in recursive mode (with submodules): `git clone --recurse-submodules <url>`
2. Setup QMK (see [docs](https://docs.qmk.fm/#/newbs_getting_started))
    1. Install qmk helper: `python3 -m pip install --user qmk`
    2. Run the setup: `qmk setup`
3. Install Dejvino's keyboard layout: `ln -s $(pwd)/../keymap keyboards/ktec/ergodone/keymaps/dejvino`

## Compile
Run `make build`.

## Flash
If you're not on Linux, download the [TKG Toolkit](https://github.com/kairyu/tkg-toolkit) flashing utility for your system manually, otherwise let `make` do it.

1. Enter flashing mode
    1. Disconnect KBD
    2. Press and hold two top-right-most keys on the left-half KBD
    3. Connect KBD (LEDs will be blinking)
2. Run `make flash`. (Tip: just run `make` to compile & flash)

(see [ErgoDone Readme](https://github.com/qmk/qmk_firmware/blob/master/keyboards/ktec/ergodone/readme.md) for details)

## Resources
- [QMK Firmware](https://github.com/qmk/qmk_firmware)
- [TKG Toolkit](https://github.com/kairyu/tkg-toolkit)
